The New Magento 2.4.4 Is Coming – What Will It Bring?

Adobe is nearing the end of beta-testing Magento 2.4.4 and will release it publicly on March 8. It is a minor update to Magento 2.4.3 but it can still be considered a major update.

The new Magento includes backward-incompatible changes and brings a lot of significant changes and additions. Support for PHP 8.1, the latest versions of ElasticSearch and jQuery, as well as MySQL, are just a few of the many features.

Adobe Commerce stores can now test the Magento 2.4.4 beta version by joining the Adobe Commerce Beta Program. Since the beta versions of the new Magento versions will not be available for stores using Magento Open Source edition, they will need to wait until the general release.

So that you are able to see what Magento 2.4.4 is all about, we have created a summary.

 

Support for PHP 8.1

Adobe has updated the Magento release cycle to match the PHP version end of life, as this component is critical for the e-commerce platform.

Magento 2.4.4 will be released in March. This marks the end of PHP 7.4 and the beginning of PHP 8. While Adobe is currently testing Magento 2.4.4 beta against PHP 8.0 PHP 8.0, the new Magento e-commerce platform supports PHP 8.1.

Magento 2.4.4 will no longer support PHP 7.3.

Despite the fact that Magento 2.4.4 can be upgraded to using PHP 7.4, Adobe claims only full functional support for PHP 8.1.

PHP 8.1 is a major update to this language and brings many new features. These include enums and readonly properties, explicit Octal Nural Notation, first-class syntax, fibers, pure intersect types, never return types, and final class constants.

This is not to mention the performance gains. Symfony Demo now has PHP 8.1 at 23.0% faster speed. You can read more at the official PHP8.1 release page.

Preliminary performance tests on Magento 7.4 and 8.1 have shown that the latter speeds up the store’s operation. Performance figures for a Magento setup will vary due to multiple factors such as server CPU, architecture (x86/ARM), host environment, installed extensions and Cron jobs.

OpenSearch support now available

Adobe now supports an additional in-store search engine Stores can also use OpenSearch in addition to Elasticsearch.

To mitigate the Log4j vulnerability , it is recommended that a store continue to use Elasticsearch 7.16.x

Note: Adobe Commerce 2.4.4 Cloud users will need to switch from Elasticsearch into OpenSearch

Vendor Bundled Extensions decoupled

Previous versions of Magento came with a list 3rd party extensions and third-party modules.

Adobe has removed almost all third-party extensions from its Magento core set with the new version of its online store platform. Adobe Commerce 2.4.4 has only left the Braintree extension out of the list.

Extensions that are removed from the Vendor Bundled Extension List will be available for optional downloading from a Magento Marketplace.

Software components updated

Adobe Commerce 2.4.4 beta4 contains the following software updates.

  • All dependencies and project libraries are compatible with PHP 8.
  • Support for ElasticSearch 7.16.1 & OpenSearch 1.1 has been added.
  • Version 1.13.0 of jquery-ui was released.
  • Deprecated in the jQuery 3.6.x methodologies have been removed.
  • jquery.tabs has been updated to the most recent version.

Incompatibility

Third-party modules may be affected by backward incompatible Magento changes. They should function in a different way. If these extensions are required, check your installed extensions.

The following changes are backward-incompatible in Magento 2.4.4:

Check cart load

The Stock Options section of Magento 2.4.4. now offers an Enable Inventory Check On Load option. It is enabled by default and controls inventory checks when products are loaded into shopping carts.

If the cart contains multiple products, disabling the inventory check can speed up checkout. Disabling this option can lead to errors. A customer might receive the message “Unable to place an Order: There are no Source Items with the In Stock Status.”

TinyMCE

Three major changes have been made to the Tiny MCE Magento embedded content editor.

  • Name changed to tinymce4. The editor may become unavailable from the admin panel, which can cause the Magento Page Builder extension to be broken. This can happen if the store uses TinyMCE with tinymce4 as an alias in requirejs, or if the Page Builder JavaScript File was renamed elsewhere than PageBuilder’s di.xml.
  • TinyMCE MFTF test have been refactored. If the store uses elements (selectors), from duplicated sections, it is affected. TinyMCE core tests have been extended to address this issue.
  • Refactored TinyMCE4 MTFTF tests. If the store uses or extends TinyMCE4’s MFTF test, it can be affected.

Libraries updated and removed

Magento 2.4.4 offers many other enhancements, in addition to the upgrade to PHP 8.1. These are other important updates:

  • Updated RequireJS to Version 2.3.6
  • Endroid/qr code updated to the most recent version
  • PHP Unit 9.5
  • TinyMCE 5
  • JavaScript libraries updated:
    • script.aculo.us
    • Chart.js
    • moment.js
    • moment-timezone-with-data.js
    • matchMedia.js
    • underscore.js
    • PrototypeJS
  • JavaScript libraries removed
    • es6-collections.js
    • MutationObserver.js
    • Modernizr
    • FormData.js

GraphQL errors fixed

Adobe promises to fix GraphQL problems in Magento 2.4.4. These are the most important bugs that will be fixed in this version.

  • GraphQL returns configurable child products even though they are disabled at the site level. The MDVA-39935 patch is compatible with Magento 2.4.1-2.4.3.
  • GraphQL sorting using DESC/ASC might not work for products of equal price or relevance. The MDVA-40120 patch is also available for Magento 2.4.1-p1.
  • Hidden categories using a GraphQL queries for a B2B share catalog feature is not possible. All stores using Adobe before Magento 2.4.4 will need to request a patch separately.
  • GraphQL cannot add a configurable product into the cart if the store ID is different from the website ID. Patch MDVA-37779 works with 2.4.2-p1.
  • GraphQL error in setting shipping address for carts that have an empty phone number. The MDVA-39521 patch for Magento 2.4.0-2.4.3 is now available.
  • GraphQL queries return products that are not part of a shared catalogue. The patch MDVA-37748 can be downloaded for 2.4.2 – 2.4.2-p2.

Summary

Magento 2.4.4 will bring many improvements to security and performance for online shops. This platform will be available for public download on March 8, 2022. Now is the time to prepare your online store for its transition.

Protect your Magento-based business while ensuring that customers have a seamless shopping experience.

source https://mirasvit.com/blog/magento-2-4-4.html